import { UserPrivilegeModel } from 'src/modules/user-related/user-privilege/data/models/user-privilege.model';
import { Connection } from 'typeorm';
import { Factory, Seeder } from 'typeorm-seeding';

export class SeedUserPrivilege implements Seeder {
  public async run(factory: Factory, connection: Connection): Promise<void> {
    await factory(UserPrivilegeModel)().createMany(100);
  }
}
